libgdamm Reference Documentation

Main Page Namespaces Book

# query.h File Reference

## Namespaces

namespace | Glib
namespace | Gnome
namespace | Gnome::Gda

## Classes

class | Gnome::Gda::Query
| Represents any kind of DML query. More...
class | Gnome::Gda::QueryError

## Enumerations

enum | Gnome::Gda::QueryFieldState { Gnome::Gda::ENTITY_FIELD_VISIBLE = 1 << 0, Gnome::Gda::ENTITY_FIELD_INVISIBLE = 1 << 1, Gnome::Gda::ENTITY_FIELD_ANY = 0x1 }

Bitwise operators:
  `QueryFieldState operator|(QueryFieldState, QueryFieldState)`
  `QueryFieldState operator&(QueryFieldState, QueryFieldState)`
  `QueryFieldState operator^(QueryFieldState, QueryFieldState)`
  `QueryFieldState operator~(QueryFieldState)`
  `QueryFieldState& operator|=(QueryFieldState&, QueryFieldState)`
  `QueryFieldState& operator&=(QueryFieldState&, QueryFieldState)`
  `QueryFieldState& operator^=(QueryFieldState&, QueryFieldState)`

More...

enum | Gnome::Gda::QueryType { Gnome::Gda::QUERY_TYPE_SELECT, Gnome::Gda::QUERY_TYPE_INSERT, Gnome::Gda::QUERY_TYPE_UPDATE, Gnome::Gda::QUERY_TYPE_DELETE, Gnome::Gda::QUERY_TYPE_UNION, Gnome::Gda::QUERY_TYPE_INTERSECT, Gnome::Gda::QUERY_TYPE_EXCEPT, Gnome::Gda::QUERY_TYPE_NON_PARSED_SQL }

## Functions

QueryFieldState | Gnome::Gda::operator& (QueryFieldState lhs, QueryFieldState rhs)
QueryFieldState& | Gnome::Gda::operator&= (QueryFieldState& lhs, QueryFieldState rhs)
QueryFieldState | Gnome::Gda::operator^ (QueryFieldState lhs, QueryFieldState rhs)
QueryFieldState& | Gnome::Gda::operator^= (QueryFieldState& lhs, QueryFieldState rhs)
QueryFieldState | Gnome::Gda::operator| (QueryFieldState lhs, QueryFieldState rhs)
QueryFieldState& | Gnome::Gda::operator|= (QueryFieldState& lhs, QueryFieldState rhs)
QueryFieldState | Gnome::Gda::operator~ (QueryFieldState flags)